from axelrod.action import Action, actions_to_str
from axelrod.player import Player
from axelrod.strategy_transformers import (
    FinalTransformer,
    TrackHistoryTransformer,
)
lllIllIIIIII, lllIlIIllIllIIlI = Action.C, Action.D
class lIlIlIllIlIl(Player):
    IIIIIIIlIIlIlIlI = "strategy"
    IllIlIlIllIl = {
        "memory_depth": 1,  
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def IIllIllIlI(IIIlIlllIlIIIIIIIlII, lIlIIlllIIIllIlllIll: Player) -> Action:
        if not IIIlIlllIlIIIIIIIlII.history:
            return lllIllIIIIII
        if lIlIIlllIIIllIlllIll.history[-1] == lllIlIIllIllIIlI:
            return lllIlIIllIllIIlI
        return lllIllIIIIII